Package: libperinci-sub-normalize-perl
Version: 0.18-1
Severity: serious
Usertags: autopkgtest

As noticed by, this package fails its test suite
on current sid, making the package fail to build from source.

  Can't locate Sah/Schema/rinci/ in @INC (you may need to 
install the Sah::Schema::rinci::function_meta module) (@INC contains: 
/<<PKGBUILDDIR>>/blib/lib /<<PKGBUILDDIR>>/blib/arch /etc/perl 
/usr/local/lib/x86_64-linux-gnu/perl/5.24.1 /usr/local/share/perl/5.24.1 
/usr/lib/x86_64-linux-gnu/perl5/5.24 /usr/share/perl5 
/usr/lib/x86_64-linux-gnu/perl/5.24 /usr/share/perl/5.24 
/usr/local/lib/site_perl /usr/lib/x86_64-linux-gnu/perl-base .) at 
/<<PKGBUILDDIR>>/blib/lib/Perinci/Sub/ line 144.
      # Child (normalize_function_metadata) exited without calling finalize()
  #   Failed test 'normalize_function_metadata'
  #   at /usr/share/perl/5.24/Test/ line 279.
  # Tests were run but no plan was declared and done_testing() was not seen.
  # Looks like your test exited with 2 just after 1.
  t/01-basics.t .............. 
      # Subtest: normalize_function_metadata
      ok 1 - doesn't accept v1.0
      ok 2 - doesn't allow unknown properties
  not ok 1 - normalize_function_metadata
  Dubious, test returned 2 (wstat 512, 0x200)
  Failed 1/1 subtests 
This probably regressed with

-librinci-perl 1.1.80-2
+librinci-perl 1.1.81-1

Upstream changelog:

    - Split Sah schemas to Sah-Schemas-Rinci so that schema tweaks
      don't require releasing a new spec release.

so possibly this needs packaging

Niko Tyni

Reply via email to